Bug 561130 - Inconsistent button labels for Configuration "Change Properties | Edit -> Commit or Save" ? (detected by automation)
Inconsistent button labels for Configuration "Change Properties | Edit -> Com...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Configuration (Show other bugs)
unspecified
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
John Sefler
: SubBug
Depends On:
Blocks: RHQ_Config auto_needs_triage rhq_triage
  Show dependency treegraph
 
Reported: 2010-02-02 14:39 EST by John Sefler
Modified: 2010-08-12 12:53 EDT (History)
1 user (show)

See Also:
Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 12:53:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
It's a showdown between the Commit and the SAVE button (145.36 KB, image/png)
2010-02-02 14:39 EST, John Sefler
no flags Details

  None (edit)
Description John Sefler 2010-02-02 14:39:14 EST
Created attachment 388372 [details]
It's a showdown between the Commit and the SAVE button

Description of problem:
The resource CONFIGURATION tab page has been under much change lately...
The button "EDIT" has been renamed to "Change Properties" and back to "Edit".
Now after pressing the newly repositioned (Why was it repositioned?) "Edit" button, a new "Commit" button appears in conjunction with the old secondary "SAVE" button.  Functionally these buttons do the same thing from the user's perspective.  Let's be consistent and name the controls the same.  Afterall they have the same Alt Text: "Click to Save Changes".


Version-Release number of selected component (if applicable):
RHQ 3.0.0.B02
Released February 1st, 2010

Additional info:
See the attached screenshot
Comment 1 wes hayutin 2010-02-16 11:54:03 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

keyword:
new = Tracking + FutureFeature + SubBug
Comment 2 wes hayutin 2010-02-16 11:59:21 EST
making sure we're not missing any bugs in rhq_triage
Comment 3 Charles Crouch 2010-04-27 12:33:35 EDT
Is this still a problem since raw config is not being used in the next JON release?
Comment 4 gneelaka@redhat.com 2010-04-29 08:01:42 EDT
JON Build #120 Revision 10615

steps: 
1)Select rhq-agent-env.sh 
2)Go to its configuration tab.
3)Click on edit.
4)Enter the name and value for the environment variable field.Click on ok.
5)Click on commit.

observation : There is only one edit button at the top right corner.There is one commit button at the top right corner once we click on edit.There is no save button any more .On clicking commit the changes are getting saved.


this is working fine now.
Comment 5 Corey Welton 2010-08-12 12:53:39 EDT
Mass-closure of verified bugs against JON.

Note You need to log in before you can comment on or make changes to this bug.